
/************************************************************************************

counter for guitarplayers
 
Frank Hutter & Markus Kraft wrote this file for mikrocontrollerspielwiese.de
License: GPL (http://www.gnu.org/licenses/gpl.txt)

At mikrocontrollerspielwiese.de you find the schematic and board as eagle file too.

*************************************************************************************/
 
#include <avr/io.h>
#define F_CPU 1000000UL  // 1 MHz
#include <util/delay.h>


void zahleins (int z){
	if (z==1)  {PORTB = 14;   PORTD = 47;  PORTC= 255;}
	if (z==2)  {PORTB = 238; PORTC = 255; PORTD = 255;}
	if (z==3)  {PORTB = 222; PORTD = 143; PORTC = 255;}
	if (z==4)  {PORTB = 238; PORTD = 143; PORTC = 255;}
	if (z==5)  {PORTB = 238; PORTD = 95; PORTC = 255;}
	if (z==6)  {PORTB = 239; PORTD = 15; PORTC = 255;}
	if (z==7)  {PORTB = 207; PORTD = 15; PORTC = 255;}
	if (z==8)  {PORTB = 238; PORTD = 191;PORTC = 255;}
	if (z==9)  {PORTB = 206; PORTD = 15; PORTC = 255;}
	if (z==10){PORTB = 238; PORTD = 15; PORTC = 255;}
}

void zahlzwei (int t){
	if (t==0) {PORTB = 249;PORTD = 255;PORTC = 240;}
	if (t==1) {PORTB = 253;PORTC = 251;PORTD = 255;}
	if (t==2){PORTB = 253;PORTD = 255;PORTC = 228;}
	if (t==3){PORTB = 253;PORTD = 255;PORTC = 226;}
	if (t==4){PORTB = 249;PORTD = 255;PORTC = 235;}
	if (t==5){PORTB = 251;PORTD = 255;PORTC = 226;}
	if (t==6){PORTB = 251;PORTD = 255;PORTC = 224;}
	if (t==7){PORTB = 253;PORTD = 255;PORTC = 243;}
	if (t==8){PORTB = 249;PORTD = 255;PORTC = 224;}
	if (t==9){PORTB = 249;PORTD = 255;PORTC = 226;}
}

int main(void){
	DDRB = 255; DDRC = 255; DDRD = 255; 
	DDRD &= ~_BV(PD3); PORTD|= _BV(PD3); 
	int einer=1, w=1, zehner=0, i=0, u=1;
	
	while (i<10){
		while (w<150){
			zahleins (u);_delay_ms(1);
			zahlzwei (i);_delay_ms(1);
			w++;
		}

		w=0;
		i++;
		u++;
	}



	while (1){
		
		zahlzwei (zehner); zahleins (einer); _delay_us(15);
 		
		if (bit_is_clear(PIND,3)) {
			w=0;
			einer++;
			if (einer>10) {
				einer=1; zehner++;
				if (zehner>10) zehner=0;	
			}
			
			while (w<300){
				zahleins (einer);_delay_ms(1);
				zahlzwei (zehner);_delay_ms(1);
				w++;
			}	

			if (bit_is_clear(PIND,3)) {einer=0; zehner=0;}

		}
	}

	return(0);
}



